/* main-css */
@font-face {
  font-family: 'poppins';
  src: url('../fonts/KantumruyPro-Light.ttf') format('truetype'); 
  font-weight: 300;
}
@font-face {
  font-family: 'poppins';
  src: url('../fonts/KantumruyPro-Medium.ttf') format('truetype'); 
  font-weight: 500;
}
@font-face {
  font-family: 'poppins';
  src: url('../fonts/KantumruyPro-SemiBold.ttf') format('truetype'); 
  font-weight: 600;
}
@font-face {
  font-family: 'poppins';
  src: url('../fonts/KantumruyPro-Bold.ttf') format('truetype'); 
  font-weight: 700;
}
:root {
  --main-color: #253691;
}
body {
	margin: 0;
	padding: 0;
	overflow: hidden;
} 
* {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}
.container{
	position: absolute;
	width: 100%;
	height: 100%;
	font-family:'HelveticaNeue','Arial', sans-serif;
}
.wrapper{
	position: absolute;
	width: 100%;
	height: 100%;
}
.relative{
	position: relative;		
}
.absolute{
	position: absolute;
}
.text-center{
	text-align: center;
}
.flex-column{
	display: flex;
	flex-direction: column;
}
.flex-row{
	display: flex;
	flex-direction: row;
}
.align-self-start{
	align-self: self-start;
}
.align-start{
	align-items: start;
}
.align-center{
	align-items: center;
}
.justify-center{
	justify-content: center;
}
.justify-between{
	justify-content: space-between;
}
.justify-start{
	justify-content: start;
}
.top-0{
	top: 0;
}
.left-0{
	left: 0;
}
img{
	max-width: 100%;
	height: auto;
}
p{
	margin: 0;
	padding: 0;
}
.img-space{
	visibility: hidden;
	display: block;
}

.background-img{
	position: absolute;
	width: 100%;
	height: 100%;
	top: 0;
	left: 0;
}
.poppins{
	font-family: poppins, Helvetica, sans-serif;
	font-weight: 700;
}
.round{
	border-radius: 999px;
}
.display-none{
	display: none !important;
}
.display-block{
	display: block;
}
.spacing{
	width: 100%;
	height: 100px;
}
/* color */
.opacity-5{
	opacity: 0.5;
}
.color-main{
	color: var(--main-color);
}
.color-text{
	color: white;
}
.color-red{
	color: red;
}
.color-blue{
	color: #1e3197;
}
.bg-red{
	background-color: red;
}
.bg-blue{
	background-color: #1e3197;
}
.bg-white{
	background-color: #f1f1f1;
}
.input{
	background: transparent;
	border: none;
	outline: none;
	color: black;
}
/* color */
/* sizing */
.w-5{
	width: 5%;
}
.w-10{
	width: 10%;
}
.w-20{
	width: 20%;
}
.w-25{
	width: 25%;
}
.w-30{
	width: 30%;
}
.w-35{
	width: 35%;
}
.w-40{
	width: 40%;
}
.w-45{
	width: 45%;
}
.w-50{
	width: 50%;
}
.w-60{
	width: 60%;
}
.w-70{
	width: 70%;
}
.w-75{
	width: 75%;
}
.w-80{
	width: 80%;
}
.w-90{
	width: 90%;
}
.w-100{
	width: 100%;
}
.w-auto{
	width: auto;
}
.h-auto{
	height: auto;
}
.h-5{
	height: 5%;
}
.h-10{
	height: 10%;
}
.h-20{
	height: 20%;
}
.h-25{
	height: 25%;
}
.h-30{
	height: 30%;
}
.h-35{
	height: 35%;
}
.h-40{
	height: 40%;
}
.h-65{
	height: 65%;
}
.h-70{
	height: 70%;
}
.h-75{
	height: 75%;
}
.h-80{
	height: 80%;
}
.h-90{
	height: 90%;
}
.h-100{
	height: 100%;
}
.r-0{
	right: 0;
}
.l-0{
	left: 0;
}
.f-10{
	font-size: 10px;
}
.f-15{
	font-size: 15px;
}
.fw-bold{
	font-weight: 700;
}
.fw-semibold{
	font-weight: 600;
}
.fw-medium{
	font-weight: 500;
}
.fw-light{
	font-weight: 300;
}
.mt-10{
	margin-top: 10%;
}
.mb-5{
	margin-bottom: 5%;
}
.mb-10{
	margin-bottom: 10%;
}
.mb-15{
	margin-bottom: 15%;
}
.ml-5{
	margin-left: 5%;
}
.mr-5{
	margin-right: 5%;
}
.gap-5{
	gap: 5px;
}
.gap-10{
	gap: 10px;
}
.gap-10{
	gap: 10px;
}
.grow-1{
	flex-grow: 1;
}
/* sizing */

/* main-css */

/* register-css */
.bg-register{
	background: url('../images/background.jpg') no-repeat;
	background-size: 100% 100%;
}
.absolute-center{
	position: absolute;
	left: 0;
	right: 0;
	margin: 0 auto;
}

@media (max-height: 736px)  {
	.prizes{
		display: none;
	}	
}
/* register-css */
/* otp-css */
.otp-input {
	display: flex;
	justify-content: center;
	margin-bottom: 2rem;
	gap: 10px
}
.otp-input input {
	background-color: #fff;
    width: 48px;
    height: 56px;
    text-align: center;
    font-size: 1.5rem;
    border: none;
    transition: all 0.3s ease;
	border-radius: 6px;
}
.otp-input input:focus {
	border-color: #F5CB36;
	box-shadow: 0 0 0 2px rgba(166, 86, 246, 0.3);
	outline: none;
}
.otp-input input::-webkit-outer-spin-button,
.otp-input input::-webkit-inner-spin-button {
	-webkit-appearance: none;
	margin: 0;
}
.otp-input input[type=number] {
	appearance: textfield;
	-moz-appearance: textfield;
}
.otp-input input:disabled{
	border: 2px solid #b0b0b0;
}
.resend-text{
	text-wrap: wrap;
    font-size: 12px;
    flex-basis: 190px;
}
.resend-btn{
	position: relative;
	flex-grow: 2;
    border-radius: 10px;
    border: 1px solid var(--main-color);
    text-align: center;
}
.resend-btn p{
	width: fit-content !important;
	position: absolute;
	left: 0;
	right: 0;
	margin: 0 auto !important;
	top: 50%;
	transform: translateY(-50%);
}
/* otp-css */

/* game-css */
.game-main-content{
	transition: all 0s ease-in-out 2s;
}
#prizeWrapper{
	width: 90%;
    height: auto;
    display: grid;
	grid-template-columns: 90px 90px 90px;
    grid-template-rows: 80px;
    grid-gap: 1px 1px;
    justify-content: space-evenly;
	transition: all 0s ease-in-out 2s;
}
.mid-row{
    position: relative
}
.prize-icon{
	position: absolute;
	top: 0;
	left: 0;
}
.prizeImg{
    position: absolute;
    width: 100%;
    height: 100%;
}
.prize-1{
	background: url('../images/game/prize-1.png') no-repeat;
	background-size: cover;
}
.prize-2{
	background: url('../images/game/prize-2.png') no-repeat;
	background-size: cover;
}
.prize-3{
	background: url('../images/game/prize-3.png') no-repeat;
	background-size: cover;
}
.btn-background{
	background: url('../images/game/bg-game-pad.png') no-repeat;
	background-size: 100% 100%;
	width: 100%;
	height: 450px;
	display: flex;
	align-items: center;
	justify-content: center;
}
#btnWrapper{
    width: 85%; 
	height: 70%;
    display: grid;
    grid-template-columns: 100px 100px 100px;
    row-gap: 10px;
    justify-content: space-evenly;
    pointer-events: none;
}
.btn{
	background: url('../images/game/bg-choice.png') no-repeat;
	background-size: 100% 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
}
.addPrize{
	position: absolute;
    width: 100% !important;
    top: 0;
    left: 0;
    right: 0;
    margin: 0 auto;
}
.glassbox{
	width: 80%;
	margin: 0 auto;
	padding: 18px 32px;
	border-radius: 38px;
	background: rgba(255, 255, 255, 0.5);
	text-align: center;
	color: var(--main-color);
	font-size: 12px;
	padding: 10px;
	box-shadow: 0 8px 24px rgba(255, 255, 255, 1);
}
.glassbox p {
	padding: 0;
	margin: 0;
}
/* game-css */

/* win-css */
.bg-win{
	background: url('../images/win/background.jpg') no-repeat;
	background-size: cover;
}
.savePng{
	position: relative;
	width: 100%;
	height: 100%;
}
.captureimg{
	width: 100%;
	height: 100%;
	display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
	gap: 30px;
}
.text-won{
	position: relative;
    width: 75%;
    height: auto;
}
.btn-save, .win-item, .qrcode, .barcode, .voucher-code-wrapper{
	position: relative;
}
.voucher-code-wrapper{
	display: flex;
    flex-direction: column;
	justify-content: center;
	align-items: center;
}
.item-img{
	width: 90px;
	margin: 0 auto;
}
.qr-img img{
	border-radius: 10px;
} 
.code{
	background: white;
	height: 35px;
	width: 200px;
	border: 1px solid white;
	border-radius: 10px;
	display: flex;
	align-items: center;
	justify-content: center;
}
.code p{
	font-family: poppins;
	font-size: 18px;
	text-align: center !important;
	font-weight: 800;
	color: var(--main-color);
}
.expire-date-wrapper{
	display: flex;
}
/* win-css */

/* loading-screen */
 .waiting-wrapper{
	position: absolute;
	width: 100%;
	height: 100%;
	top: 0;
	left: 0;
	background-color: rgba(0,0,0,0.5);
	display: flex;
	justify-content: center;
	align-items: center;
 }
.loadingCircle {
	width: 55px;
	height: 55px;
	margin: 30px auto 0;
	background: #fff;
	display: block;
	border-radius: 50%;
	position: relative;
	overflow: hidden;
}
.circleOuter {
	width: 40px;
	height: 40px;
	background: #fff;
	border-radius: 50%;
	position: absolute;
	left: 50%;
	top: 50%;
	transform: translate(-50%, -50%);
	z-index: 2;
}
.circleLoader {
	width: 50px;
	height: 50px;
	background: linear-gradient(to bottom, rgba(0,0,0,1) 0%,rgba(125,185,232,0) 100%);
	position: absolute;
	right: 50%;
	bottom: 50%;
	transform-origin: bottom right;
	z-index: 1;
	animation: rotateLoader 1.5s linear infinite;
}
@keyframes rotateLoader {
    from {transform: rotate(0deg);}
    to {transform: rotate(360deg);}
}
/* loading-screen */